#include "GWt_machine.h"

#include <Wt/WPushButton>
#include <Wt/WLabel>
#include <Wt/WPanel>
#include <Wt/WColor>
#include <Wt/WVBoxLayout>
#include <Wt/WHBoxLayout>
#include <Wt/WComboBox>

GWt_machine::GWt_machine(GWt_accelerator* parent,expandedMachine* mach) :
UI_Accelerator_(parent),
machineControler_(mach)
{
  displayWidgetComputing();
}

GWt_machine::~GWt_machine()
{
}

void GWt_machine::createWidgetComputing(WContainerWidget* parent) {

  // suppress old detailled view if present
  parent->clear();
  
  // add the detailled view
  WContainerWidget* wdg = new WContainerWidget(parent);

  wdg->setObjectName("machine");
  wdg->addStyleClass("machinePanel");
  Wt::WVBoxLayout* vContainerLayout = new WVBoxLayout();
  vContainerLayout->setContentsMargins(0,0,0,0);
  Wt::WPanel *collapsiblePanel = new Wt::WPanel(wdg);
  collapsiblePanel->setTitle("Machine panel");
  collapsiblePanel->setCollapsible(true);
  
  WContainerWidget* menu = new WContainerWidget(wdg);
  menu->addStyleClass("machineMenu");
  
  
  //  new WLabel(sectorControler_->getName()+" ",menu);
  
  WPushButton* actionParameters = new WPushButton("",menu);
  // set tooltips
  actionParameters->setToolTip("change parameters");
  
  // Set class for actions elements
  actionParameters->setStyleClass("Button WhiteButton parameters");
  actionParameters->setMaximumSize(32,32);
  actionParameters->setMinimumSize(32,32);
  

  
  menu->setWidth(20+7+7+1+1+2);
  
  vContainerLayout->addWidget(menu);
  
  // Add beamLine for this sector
  //  UI_beamLine_ = new GWt_ligneFaisceau(getAccelerator()->getDataManager(),this);
  //  vContainerLayout->addWidget(UI_beamLine_);
  
  // add the software panel
  cout << " GWt_machine::createWidgetComputing APPEL sofwarepanel" << endl;
    GWt_softwarePanel*  computeWidget = new GWt_softwarePanel(getAccelerator()->getDataManager(),this);
    vContainerLayout->addWidget(computeWidget);
  

  wdg->setLayout(vContainerLayout);
}

void GWt_machine::displayWidgetComputing() {
  createWidgetComputing(getAccelerator()->getAcceleratorComputingView());
}

